Slackware 10.0 / 10.1 / 10.2 / 11.0 / 12.0 / 12.1 / current : libxml2 (SSA:2008-324-01)

Critical Nessus Plugin ID 34822

Synopsis

The remote Slackware host is missing a security update.

Description

New libxml2 packages are available for Slackware 10.0, 10.1, 10.2, 11.0, 12.0, 12.1, and -current to fix security issues including a denial or service or the possible execution of arbitrary code if untrusted XML is processed.

Solution

Update the affected libxml2 package.

See Also

http://www.nessus.org/u?314e8212

Plugin Details

Severity: Critical

ID: 34822

File Name: Slackware_SSA_2008-324-01.nasl

Version: 1.14

Type: local

Published: 2008/11/21

Updated: 2018/08/09

Dependencies: 12634

Risk Information

Risk Factor: Critical

CVSS v2.0

Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:slackware:slackware_linux:libxml2, cpe:/o:slackware:slackware_linux, cpe:/o:slackware:slackware_linux:10.0, cpe:/o:slackware:slackware_linux:10.1, cpe:/o:slackware:slackware_linux:10.2, cpe:/o:slackware:slackware_linux:11.0, cpe:/o:slackware:slackware_linux:12.0, cpe:/o:slackware:slackware_linux:12.1

Required KB Items: Host/local_checks_enabled, Host/Slackware/release, Host/Slackware/packages

Patch Publication Date: 2008/11/19

Reference Information

CVE: CVE-2008-4225, CVE-2008-4226

SSA: 2008-324-01

CWE: 189, 399